<template>
  <div class="center">
    <router-link
      class="link"
      :to="{ name: 'game', params: { id: `${game.id}` } }"
    >
      <div class="game">
        <h3>{{ game.name }}</h3>
        <div class="gamedata">
          <div class="col">
            <p>Game Status: {{ game.state }}</p>
            <p>Your Status: {{ game.player?.isDead ? "Dead" : "Alive" }}</p>
          </div>
          <div class="col">
            <p>Players Alive: {{ game.playerCount }}</p>
            <p>End Date: {{ game.enddate || "None" }}</p>
          </div>
        </div>
      </div>
    </router-link>
  </div>
</template>

<script>
// import InputTag from "../atoms/InputTag.vue";
// import InputField from "../atoms/InputField.vue";

export default {
  components: {},
  data() {
    return {
      link: this.game.id,
    };
  },
  props: {
    game: {
      type: Object,
    },
  },
};
</script>

<style lang="scss">
.center {
  display: flex;
  justify-content: center;
  .link {
    text-decoration: none;
    display: flex;
    flex-direction: column;
    justify-content: center;

    .game {
      background-color: white;
      padding: 0rem 1rem;
      border: 0.1rem #09639b solid;
      border-radius: 0.2rem;
      align-self: center;
      width: 90vw;
      max-width: 24rem;

      .gamedata {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: start;
        color: black;
        .col {
          display: flex;
          flex-direction: column;
          justify-content: space-evenly;
        }
      }
      h3 {
        color: #09639b;
        text-decoration: none;
        font-weight: bold;
        font-size: 1rem;
      }
    }
  }
}
</style>
